
package com.dgtly.wxportal.utils.ESign;

import java.util.HashMap;
import java.util.Map;

/**
 * E签宝平台全局返回码说明
 */
public class ESignErrCode {
	
	private static Map<String,String> codeMap = new HashMap<String,String>();
	
	static {
		codeMap.put("-1","系统繁忙");
		codeMap.put("0","请求成功");
		codeMap.put("401","token过期了或者 header请求头不正确 或 apiurl和应用ID的环境不对应，例如apiurl是模拟环境，应用ID是正式环境的");
		codeMap.put("1560102","证件格式异常");
		codeMap.put("53000000","个人账号已存在的");
	}
	
	public static String errMsg(Integer errCode){
		if(errCode != null && codeMap.containsKey(errCode+"")){
			return codeMap.get(errCode+"");
		}
		return "不明错误";
	}
    public static String errMsg(String errCode){
        if(errCode != null && codeMap.containsKey(errCode)){
            return codeMap.get(errCode+"");
        }
        return "不明错误";
    }
	
}
